
QGIS Application - Bug report #5189

Ability to select & remove multiple symbologies in Syle panel of Properties

2012-03-16 07:31 AM - belg4mit -

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:1.7.4 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 14931

Description

Barring the existence of a QUERY panel that would allow one to write SQL to select the correct records, one's best option is to selectively

style the desired records in a large layer. Unfortunately, the style panel does not allow one to use the the delete key on the keyboard to

remove a style, or have a context menu for style items, nor even to select multiple styles to remove with the delete button. Instead one

must bounce back and forth between selecting a style and hitting the delete button, most tedious and inefficient :-/

History

#1 - 2012-03-16 07:37 AM - Giovanni Manghi

- Status changed from Open to Rejected

- Resolution set to invalid

multiple style classes selection and context menu (to change transparency,colour and unit) is available in qgis-master.

#2 - 2012-03-16 07:52 AM - Nathan Woodrow

- Resolution deleted (invalid)

Giovanni don't be so hasty, this is related to deleting items not multiple styling of items.

Deleting more one item is still not supported even in master, so this bug report is valid.  Please reopen.

#3 - 2012-03-16 07:54 AM - Giovanni Manghi

- Status changed from Rejected to Reopened

Nathan Woodrow wrote:

Giovanni don't be so hasty, this is related to deleting items not multiple styling of items.

sorry, I misunderstood the problem (well, I still do not understand, by I obviously believe you both).

#4 - 2012-03-16 07:56 AM - Nathan Woodrow

Giovanni Manghi wrote:
sorry, I misunderstood the problem (well, I still do not understand, by I obviously believe you both).

Jump into a graduated renderer and classify some items, now select more then one item and click the delete button. Only the top one is removed.

#5 - 2012-03-16 07:58 AM - Giovanni Manghi

Nathan Woodrow wrote:

Giovanni Manghi wrote:

sorry, I misunderstood the problem (well, I still do not understand, by I obviously believe you both).

Jump into a graduated renderer and classify some items, now select more then one item and click the delete button. Only the top one is removed.

ah! ok ;) I believe that there may be already a ticket filed about this issue.

#6 - 2012-09-04 12:08 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#7 - 2013-09-22 03:22 AM - Giovanni Manghi

- Resolution set to fixed

- Status changed from Reopened to Closed

this is fixed, at least in qgis 2.0.
